﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace _143925
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            DataTable dt = new DataTable();

            dt.Columns.Add("Style URL", typeof(string));
            dt.Columns.Add("Link", typeof(string));
            for (int i = 0; i < 10; i++)
            {
                dt.Rows.Add(string.Format("Link {0}", i), "<a href=\"www.infragistics.com\">Infragisitcs web site</a>");
            }

            ultraGrid1.DataSource = dt;
            ultraGrid1.ClickCell += new Infragistics.Win.UltraWinGrid.ClickCellEventHandler(ultraGrid1_ClickCell);

        }

        void ultraGrid1_ClickCell(object sender, Infragistics.Win.UltraWinGrid.ClickCellEventArgs e)
        {
            if (e.Cell.Column.Style == Infragistics.Win.UltraWinGrid.ColumnStyle.URL)
            {
                MessageBox.Show("navigate to ");
            }
        }

        private void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            e.Layout.Bands[0].Columns["Style URL"].Style = Infragistics.Win.UltraWinGrid.ColumnStyle.URL;
            e.Layout.Bands[0].Columns["Link"].Style = Infragistics.Win.UltraWinGrid.ColumnStyle.FormattedText;
        }
    }
}
